#include <bits/stdc++.h>
#define int long long
using namespace std;

signed main(){
    ios_base::sync_with_stdio(0),cin.tie(0);
    int n, m, k; cin>>n>>m>>k;
    int l=0, r=1e9+1;
    while(r-l>1)
        {
            int mid=(l+r)/2;
            if((mid*k)>=n){
                r=mid;
            }
            else
            {
                l=mid;
            }
        }
    int ans=r;
    l=0; r=1e9+1;
    while(r-l>1)
    {
        int mid=(l+r)/2;
        if((mid*k)>=m){
            r=mid;
        }
        else
        {
            l=mid;
        }
    }
    cout<<r*ans;
    return 0;
}